<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{::script})"
      xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div class="ui main text container" th:fragment="page">
    <h2 class="ui header">
      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_CHANGEPIN}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
      <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_RESOURCES_CHANGEPIN}}"></span>
    </h2>
    <br />
    <form class="ui form" id="changepin-form" th:object="${changepin}" method="post">
      <input type="hidden" th:field="*{id}" />
      <div class="field">
        <label class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_USERNAME}}"></label>
        <div class="ui fluid input">
          <input th:field="*{username}" type="hidden" />
          <span th:text="${changepin.username}"></span>
        </div>
      </div>
      <th:block th:replace="common/fragments/input :: password(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PIN}},
                                                                  field = 'password',
                                                                  required = true,
                                                                  maxlength = 4,
                                                                  placeholder = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PIN}},
                                                                  columnsize = ''
                                                                  )" />
      <th:block th:replace="common/fragments/input :: password(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PIN_CONFIRMATION}},
                                                                  field = 'passwordConfirmation',
                                                                  required = true,
                                                                  maxlength = 4,
                                                                  placeholder = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PIN_CONFIRMATION}},
                                                                  columnsize = ''
                                                                  )" />
      <th:block th:replace="common/fragments/form :: actionbuttons(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
                                                                      icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
                                                                      icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_INDEX},
                                                                      icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                                      icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                                      icon2url = ''
                                                                      )" />
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CHANGEPIN_JS}}"></script>
</body>
</html>